<?php

include '../../../script/conexion.php';

$id = $_POST['id_compra'];
$nombre_usuario = $_POST['nombre_usuario'];
$fecha = $_POST['fecha'];
$nombre_tercero = $_POST['nombre_tercero'];
$numero_factura = $_POST['numero_factura'];
$observacion = $_POST['observacion'];

if (isset($_POST['editar'])) {

    $sql1 = "UPDATE alm_compra SET nombre_usuario='$nombre_usuario', fecha='$fecha', nombre_tercero='$nombre_tercero', numero_factura='$numero_factura', observacion='$observacion' WHERE id='$id'";
    if ($conn->query($sql1) === TRUE) {
        echo '<script language = javascript>
                        self.location = "../compra-detalle.php?id_compra=' . $id . '"
                </script>';
    } else {
        echo "Error: " . $sql1 . "<br>" . $conn->error;
    }
} elseif (isset($_POST['eliminar'])) {


    $sql1 = "DELETE FROM alm_compra_detalle WHERE id_compra='$id'";
    if ($conn->query($sql1) === TRUE) {

        $sql1 = "DELETE FROM alm_compra WHERE id='$id'";
        if ($conn->query($sql1) === TRUE) {
            echo '<script language = javascript>
                    self.location = "../compra.php"
                </script>';
        } else {
            echo "Error: " . $sql1 . "<br>" . $conn->error;
        }
    } else {
        echo "Error: " . $sql1 . "<br>" . $conn->error;
    }
} else {
    echo "error";
}


